tAPI Mantis Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000167tAPIVanilla <-> tAPI differencespublic2015-05-29 23:172015-06-10 15:19
ReporterDerringer 
Assigned ToShockah 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version1.2.4.1 r15 
Target VersionFixed in Version1.2.4.1 r16 
Summary0000167: Craft group references created in Recipe.FixRecipes() ignore stack counts
DescriptionThis applies whether the recipes are from vanilla or added via mods - the input stack count is always 1 for craft group references auto-created via the anyIronBar, anyPressurePlate, anySand and anyWood flags.

When you consider that Weapon Racks, which sell for 10 silver, now cost 1 g:Wood instead of 10, this issue makes them even more of a money exploit than they were in vanilla.
TagsNo tags attached.
Attached Files? file icon Derringer.AlternateFixRecipes.tapi [^] (4,888 bytes) 2015-05-30 01:45

- Relationships

-  Notes
(0000152)
Derringer (reporter)
2015-05-30 01:45

I've attached a workaround mod.

- Issue History
Date Modified Username Field Change
2015-05-29 23:17 Derringer New Issue
2015-05-30 01:45 Derringer File Added: Derringer.AlternateFixRecipes.tapi
2015-05-30 01:45 Derringer Note Added: 0000152
2015-06-10 09:08 Shockah Status new => acknowledged
2015-06-10 15:19 Shockah Status acknowledged => resolved
2015-06-10 15:19 Shockah Fixed in Version => 1.2.4.1 r16
2015-06-10 15:19 Shockah Resolution open => fixed
2015-06-10 15:19 Shockah Assigned To => Shockah


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker